﻿Type=Class
Version=2.71
@EndOfDesignText@
Sub Class_Globals
	Dim Parser As SaxParser 
   	Dim hc As HttpClient
   	Dim req As HttpRequest
	' arraylist
	Dim xCategory As List
	Dim xDenominazione As List
	Dim xIndirizzo As List
	Dim xCAP As List 
	Dim xComune As List
	Dim xLat As List
	Dim xLon As List
	Dim xGoogle As List
	Dim xTelefono As List
	Dim xMail As List
	Dim xUrl As List
	Dim xNote As List
	Dim xExtra1 As List
	Dim xExtra2 As List
	Dim xExtra3 As List
	Dim xRecord As List
End Sub

Public Sub Initialize()
	xCategory.Initialize
	xDenominazione.Initialize
	xIndirizzo.Initialize
	xCAP.Initialize
	xComune.Initialize
	xLat.Initialize
	xLon.Initialize
	xGoogle.Initialize
	xTelefono.Initialize
	xMail.Initialize
	xUrl.Initialize
	xNote.Initialize
	xExtra1.Initialize
	xExtra2.Initialize
	xExtra3.Initialize
	xRecord.Initialize
	Parser.Initialize
	If File.Exists(File.DirRootExternal & "/B4ALitalia", "B4ALitalia.xml") = True Then
		Dim In As InputStream
		In = File.OpenInput(File.DirRootExternal & "/B4ALitalia", "B4ALitalia.xml")
   		Parser.Parse(In, "Parser")
   		In.Close
	Else
		UpdateList("")
	End If
End Sub

Public Sub UpdateList(url As String)
	Try
		Parser.Initialize
		hc.Initialize("hc")
		If url = False OR url = "" OR url.Length = 0 Then 
			url = "http://www.ivanomonti.eu/C2013_IVANOMONTI/B4ALItalia.xml"
		End If
    	req.InitializeGet(url)		
    	hc.Execute(req,1)
	Catch
		Msgbox("Errore: xml non trovato o rete non connessa","Alert")
	End Try
End Sub

Private Sub hc_ResponseSuccess(Response As HttpResponse, TaskId As Int)
	If File.Exists(File.DirRootExternal,"/B4ALitalia") = False Then 
		File.MakeDir(File.DirRootExternal,"/B4ALitalia")
	End If
    Response.GetAsynchronously("GetXml", File.OpenOutput(File.DirRootExternal & "/B4ALitalia", "B4ALitalia.xml", False), True, TaskId)
End Sub

Private Sub hc_ResponseError(Response As HttpResponse, Reason As String, StatusCode As Int, TaskId As Int)
    If Response <> Null Then
		Msgbox("Error: " & Response.GetString("UTF8"), "Alert")
    	Response.Release						
    End If			
End Sub

Public Sub GetXml_StreamFinish(Success As Boolean, TaskId As Int)
    If Success = False Then
       Msgbox(LastException.Message, "Error")
       Return
    End If
	Try
    	Dim In As InputStream
		In = File.OpenInput(File.DirRootExternal & "/B4ALitalia", "B4ALitalia.xml")
   		Parser.Parse(In, "Parser")
   		In.Close
	Catch
		Msgbox("Error xml","Alert")
	End Try
End Sub

Private Sub Parser_StartElement(Uri As String, Name As String, Attributes As Attributes)
				
End Sub

Private Sub Parser_EndElement(Uri As String, Name As String, Text As StringBuilder)
		If Name = "Category" Then
			xCategory.Add(Text.ToString)
		Else If Name = "Denominazione" Then
			xDenominazione.Add(Text.ToString)
		Else If Name = "Indirizzo" Then
			xIndirizzo.Add(Text.ToString)
		Else If Name = "CAP" Then
			xCAP.Add(Text.ToString)
		Else If Name = "Comune" Then
			xComune.Add(Text.ToString)
		Else If Name = "lat" Then
			xLat.Add(Text.ToString)
		Else If Name = "lon" Then
			xLon.Add(Text.ToString)
		Else If Name = "google" Then
			xGoogle.Add(Text.ToString)
		Else If Name = "Telefono" Then
			xTelefono.Add(Text.ToString)
		Else If Name = "Email" Then
			xMail.Add(Text.ToString)
		Else If Name = "Url" Then
			xUrl.Add(Text.ToString)
		Else If Name = "Note" Then
			xNote.Add(Text.ToString)
		Else If Name = "Extra1" Then
			xExtra1.Add(Text.ToString)
		Else If Name = "Extra2" Then
			xExtra2.Add(Text.ToString)
		Else If Name = "Extra3" Then
			xExtra3.Add(Text.ToString)
		End If
End Sub